cascading.tuple.io

## Class ValueTuple

- java.lang.Object
- - cascading.tuple.Tuple
  - - cascading.tuple.io.ValueTuple

- All Implemented Interfaces:
    Resettable1<Tuple>, Serializable, Comparable<Object>, Iterable<Object>

      public class ValueTuple
      extends Tuple
      implements Resettable1<Tuple>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ValueTuple` | `NULL` A constant empty Tuple instance.

    - ### Fields inherited from class cascading.tuple.Tuple

      `elements, isUnmodifiable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueTuple()`
    `ValueTuple(Fields fields, List<Object> elements)`
    `ValueTuple(List<Object> elements)`
    `ValueTuple(Object... values)`
    `ValueTuple(Tuple tuple)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `reset(Tuple value)`

    - ### Methods inherited from class cascading.tuple.Tuple

      `add, add, addAll, addAll, addBoolean, addDouble, addFloat, addInteger, addLong, addShort, addString, append, clear, compareTo, compareTo, compareTo, elements, equals, format, get, get, getBoolean, getChar, getDouble, getFloat, getInteger, getLong, getObject, getPos, getShort, getString, getTypes, hashCode, internalSet, isEmpty, isUnmodifiable, iterator, leave, print, printTo, put, remove, remove, set, set, set, setAll, setAll, setBoolean, setDouble, setFloat, setInteger, setLong, setShort, setString, size, size, size, toString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NULL

          public static final ValueTuple NULL

      A constant empty Tuple instance. This instance is immutable.

  - ### Constructor Detail

    - #### ValueTuple

          public ValueTuple(List<Object> elements)

    - #### ValueTuple

          public ValueTuple(Fields fields,
                    List<Object> elements)

    - #### ValueTuple

          public ValueTuple()

    - #### ValueTuple

          public ValueTuple(Tuple tuple)

    - #### ValueTuple

          public ValueTuple(Object... values)

  - ### Method Detail

    - #### reset

          public void reset(Tuple value)

      Specified by:
        `reset` in interface `Resettable1<Tuple>`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.